Package com.collabnet.ce.soap60.webservices.planning

# Class PlanningFolderSummary5SoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
com.collabnet.ce.soap60.webservices.planning.PlanningFolderSummary5SoapDO

public class PlanningFolderSummary5SoapDO extends FolderSoapDO
PlanningFolderSummary5 class represents a summary of all open/closed artifacts for a planning folder and its sub planning folders.
Change History
Release: 6.1

- Added status, statusClass, capacity, releaseTitle and releaseId fields.
- Added openPoints and closedPoints fields.

Release: 6.2

- Added tracker unit.
- Added story points on open artifacts.

Release: 7.1

- Added points capacity.

Release: 7.2

- Added burndownViewMode field.

Release: 8.1

- Added type field.

Since:
  5.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlanningFolderSummary5SoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getActualEffortSummary()`
  Returns 'actualEffortSummary'.
  `int`
  `getActualPriority0()`
  Returns 'actualPriority0'.
  `int`
  `getActualPriority1()`
  Returns 'actualPriority1'.
  `int`
  `getActualPriority2()`
  Returns 'actualPriority2'.
  `int`
  `getActualPriority3()`
  Returns 'actualPriority3'.
  `int`
  `getActualPriority4()`
  Returns 'actualPriority4'.
  `int`
  `getActualPriority5()`
  Returns 'actualPriority5'.
  `String`
  `getBurndownViewMode()`
  Returns 'burndownViewMode'.
  `int`
  `getCapacity()`
  Returns 'capacity'.
  `int`
  `getClosedPoints()`
  Returns 'closedPoints'.
  `Date`
  `getEndDate()`
  Returns 'endDate'.
  `int`
  `getEstimatedEffortSummary()`
  Returns 'estimatedEffortSummary'.
  `int`
  `getEstimatedPriority0()`
  Returns 'estimatedPriority0'.
  `int`
  `getEstimatedPriority1()`
  Returns 'estimatedPriority1'.
  `int`
  `getEstimatedPriority2()`
  Returns 'estimatedPriority2'.
  `int`
  `getEstimatedPriority3()`
  Returns 'estimatedPriority3'.
  `int`
  `getEstimatedPriority4()`
  Returns 'estimatedPriority4'.
  `int`
  `getEstimatedPriority5()`
  Returns 'estimatedPriority5'.
  `int`
  `getOpenPoints()`
  Returns 'openPoints'.
  `int`
  `getOpenPriority0()`
  Returns 'openPriority0'.
  `int`
  `getOpenPriority1()`
  Returns 'openPriority1'.
  `int`
  `getOpenPriority2()`
  Returns 'openPriority2'.
  `int`
  `getOpenPriority3()`
  Returns 'openPriority3'.
  `int`
  `getOpenPriority4()`
  Returns 'openPriority4'.
  `int`
  `getOpenPriority5()`
  Returns 'openPriority5'.
  `int`
  `getPointsCapacity()`
  Returns 'pointsCapacity'.
  `String`
  `getReleaseId()`
  Returns 'releaseId'.
  `String`
  `getReleasePath()`
  Returns 'releasePath'.
  `int`
  `getRemainingEffortSummary()`
  Returns 'remainingEffortSummary'.
  `int`
  `getRemainingPriority0()`
  Returns 'remainingPriority0'.
  `int`
  `getRemainingPriority1()`
  Returns 'remainingPriority1'.
  `int`
  `getRemainingPriority2()`
  Returns 'remainingPriority2'.
  `int`
  `getRemainingPriority3()`
  Returns 'remainingPriority3'.
  `int`
  `getRemainingPriority4()`
  Returns 'remainingPriority4'.
  `int`
  `getRemainingPriority5()`
  Returns 'remainingPriority5'.
  `Date`
  `getStartDate()`
  Returns 'startDate'.
  `String`
  `getStatus()`
  Returns 'status'.
  `String`
  `getStatusClass()`
  Returns 'statusClass'.
  `int`
  `getStoryPointsPriority0()`
  Returns 'storyPointsPriority0'.
  `int`
  `getStoryPointsPriority1()`
  Returns 'storyPointsPriority1'.
  `int`
  `getStoryPointsPriority2()`
  Returns 'storyPointsPriority2'.
  `int`
  `getStoryPointsPriority3()`
  Returns 'storyPointsPriority3'.
  `int`
  `getStoryPointsPriority4()`
  Returns 'storyPointsPriority4'.
  `int`
  `getStoryPointsPriority5()`
  Returns 'storyPointsPriority5'.
  `int`
  `getTotalClosed()`
  Returns 'totalClosed'.
  `int`
  `getTotalOpen()`
  Returns 'totalOpen'.
  `String`
  `getTrackerUnitId()`
  Returns 'trackerUnitId'.
  `String`
  `getType()`
  Returns 'type'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setActualEffortSummary(int actualEffortSummary)`
  Sets 'actualEffortSummary'.
  `void`
  `setActualPriority0(int actualPriority0)`
  Sets 'actualPriority0'.
  `void`
  `setActualPriority1(int actualPriority1)`
  Sets 'actualPriority1'.
  `void`
  `setActualPriority2(int actualPriority2)`
  Sets 'actualPriority2'.
  `void`
  `setActualPriority3(int actualPriority3)`
  Sets 'actualPriority3'.
  `void`
  `setActualPriority4(int actualPriority4)`
  Sets 'actualPriority4'.
  `void`
  `setActualPriority5(int actualPriority5)`
  Sets 'actualPriority5'.
  `void`
  `setBurndownViewMode(String burndownViewMode)`
  Sets 'burndownViewMode'.
  `void`
  `setCapacity(int capacity)`
  Sets 'capacity'.
  `void`
  `setClosedPoints(int closedPoints)`
  Sets 'closedPoints'.
  `void`
  `setEndDate(Date endDate)`
  Sets 'endDate'.
  `void`
  `setEstimatedEffortSummary(int estimatedEffortSummary)`
  Sets 'estimatedEffortSummary'.
  `void`
  `setEstimatedPriority0(int estimatedPriority0)`
  Sets 'estimatedPriority0'.
  `void`
  `setEstimatedPriority1(int estimatedPriority1)`
  Sets 'estimatedPriority1'.
  `void`
  `setEstimatedPriority2(int estimatedPriority2)`
  Sets 'estimatedPriority2'.
  `void`
  `setEstimatedPriority3(int estimatedPriority3)`
  Sets 'estimatedPriority3'.
  `void`
  `setEstimatedPriority4(int estimatedPriority4)`
  Sets 'estimatedPriority4'.
  `void`
  `setEstimatedPriority5(int estimatedPriority5)`
  Sets 'estimatedPriority5'.
  `void`
  `setOpenPoints(int openPoints)`
  Sets 'openPoints'.
  `void`
  `setOpenPriority0(int openPriority0)`
  Sets 'openPriority0'.
  `void`
  `setOpenPriority1(int openPriority1)`
  Sets 'openPriority1'.
  `void`
  `setOpenPriority2(int openPriority2)`
  Sets 'openPriority2'.
  `void`
  `setOpenPriority3(int openPriority3)`
  Sets 'openPriority3'.
  `void`
  `setOpenPriority4(int openPriority4)`
  Sets 'openPriority4'.
  `void`
  `setOpenPriority5(int openPriority5)`
  Sets 'openPriority5'.
  `void`
  `setPointsCapacity(int pointsCapacity)`
  Sets 'pointsCapacity'.
  `void`
  `setReleaseId(String releaseId)`
  Sets 'releaseId'.
  `void`
  `setReleasePath(String releasePath)`
  Sets 'releasePath'.
  `void`
  `setRemainingEffortSummary(int remainingEffortSummary)`
  Sets 'remainingEffortSummary'.
  `void`
  `setRemainingPriority0(int remainingPriority0)`
  Sets 'remainingPriority0'.
  `void`
  `setRemainingPriority1(int remainingPriority1)`
  Sets 'remainingPriority1'.
  `void`
  `setRemainingPriority2(int remainingPriority2)`
  Sets 'remainingPriority2'.
  `void`
  `setRemainingPriority3(int remainingPriority3)`
  Sets 'remainingPriority3'.
  `void`
  `setRemainingPriority4(int remainingPriority4)`
  Sets 'remainingPriority4'.
  `void`
  `setRemainingPriority5(int remainingPriority5)`
  Sets 'remainingPriority5'.
  `void`
  `setStartDate(Date startDate)`
  Sets 'startDate'.
  `void`
  `setStatus(String status)`
  Sets 'status'.
  `void`
  `setStatusClass(String statusClass)`
  Sets 'statusClass'.
  `void`
  `setStoryPointsPriority0(int storyPointsPriority0)`
  Sets 'storyPointsPriority0'.
  `void`
  `setStoryPointsPriority1(int storyPointsPriority1)`
  Sets 'storyPointsPriority1'.
  `void`
  `setStoryPointsPriority2(int storyPointsPriority2)`
  Sets 'storyPointsPriority2'.
  `void`
  `setStoryPointsPriority3(int storyPointsPriority3)`
  Sets 'storyPointsPriority3'.
  `void`
  `setStoryPointsPriority4(int storyPointsPriority4)`
  Sets 'storyPointsPriority4'.
  `void`
  `setStoryPointsPriority5(int storyPointsPriority5)`
  Sets 'storyPointsPriority5'.
  `void`
  `setTotalClosed(int totalClosed)`
  Sets 'totalClosed'.
  `void`
  `setTotalOpen(int totalOpen)`
  Sets 'totalOpen'.
  `void`
  `setTrackerUnitId(String trackerUnitId)`
  Sets 'trackerUnitId'.
  `void`
  `setType(String type)`
  Sets 'type'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  `getDescription, getParentFolderId, getPath, getProjectId, getTitle, setDescription, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlanningFolderSummary5SoapDO

    public PlanningFolderSummary5SoapDO()

- ## Method Details

  - ### getType

    public String getType()
    Returns 'type'. Planning folder type
    Returns:
      Value of 'type'.

  - ### setType

    public void setType(String type)
    Sets 'type'. Planning folder type
    Parameters:
      `type` - Value of 'type'.

  - ### getStartDate

    public Date getStartDate()
    Returns 'startDate'.
    Returns:
      Value of 'startDate'.

  - ### setStartDate

    public void setStartDate(Date startDate)
    Sets 'startDate'.
    Parameters:
      `startDate` - Value of 'startDate'.

  - ### getEndDate

    public Date getEndDate()
    Returns 'endDate'.
    Returns:
      Value of 'endDate'.

  - ### setEndDate

    public void setEndDate(Date endDate)
    Sets 'endDate'.
    Parameters:
      `endDate` - Value of 'endDate'.

  - ### getStatus

    public String getStatus()
    Returns 'status'.
    Returns:
      Value of 'status'.

  - ### setStatus

    public void setStatus(String status)
    Sets 'status'.
    Parameters:
      `status` - Value of 'status'.

  - ### getStatusClass

    public String getStatusClass()
    Returns 'statusClass'.
    Returns:
      Value of 'statusClass'.

  - ### setStatusClass

    public void setStatusClass(String statusClass)
    Sets 'statusClass'.
    Parameters:
      `statusClass` - Value of 'statusClass'.

  - ### getCapacity

    public int getCapacity()
    Returns 'capacity'.
    Returns:
      Value of 'capacity'.

  - ### setCapacity

    public void setCapacity(int capacity)
    Sets 'capacity'.
    Parameters:
      `capacity` - Value of 'capacity'.

  - ### getPointsCapacity

    public int getPointsCapacity()
    Returns 'pointsCapacity'.
    Returns:
      Value of 'pointsCapacity'.

  - ### setPointsCapacity

    public void setPointsCapacity(int pointsCapacity)
    Sets 'pointsCapacity'.
    Parameters:
      `pointsCapacity` - Value of 'pointsCapacity'.

  - ### getBurndownViewMode

    public String getBurndownViewMode()
    Returns 'burndownViewMode'.
    Returns:
      Value of 'burndownViewMode'.

  - ### setBurndownViewMode

    public void setBurndownViewMode(String burndownViewMode)
    Sets 'burndownViewMode'.
    Parameters:
      `burndownViewMode` - Value of 'burndownViewMode'.

  - ### getReleasePath

    public String getReleasePath()
    Returns 'releasePath'.
    Returns:
      Value of 'releasePath'.

  - ### setReleasePath

    public void setReleasePath(String releasePath)
    Sets 'releasePath'.
    Parameters:
      `releasePath` - Value of 'releasePath'.

  - ### getReleaseId

    public String getReleaseId()
    Returns 'releaseId'.
    Returns:
      Value of 'releaseId'.

  - ### setReleaseId

    public void setReleaseId(String releaseId)
    Sets 'releaseId'.
    Parameters:
      `releaseId` - Value of 'releaseId'.

  - ### getTrackerUnitId

    public String getTrackerUnitId()
    Returns 'trackerUnitId'.
    Returns:
      Value of 'trackerUnitId'.

  - ### setTrackerUnitId

    public void setTrackerUnitId(String trackerUnitId)
    Sets 'trackerUnitId'.
    Parameters:
      `trackerUnitId` - Value of 'trackerUnitId'.

  - ### getTotalOpen

    public int getTotalOpen()
    Returns 'totalOpen'.
    Returns:
      Value of 'totalOpen'.

  - ### setTotalOpen

    public void setTotalOpen(int totalOpen)
    Sets 'totalOpen'.
    Parameters:
      `totalOpen` - Value of 'totalOpen'.

  - ### getTotalClosed

    public int getTotalClosed()
    Returns 'totalClosed'.
    Returns:
      Value of 'totalClosed'.

  - ### setTotalClosed

    public void setTotalClosed(int totalClosed)
    Sets 'totalClosed'.
    Parameters:
      `totalClosed` - Value of 'totalClosed'.

  - ### getOpenPriority0

    public int getOpenPriority0()
    Returns 'openPriority0'.
    Returns:
      Value of 'openPriority0'.

  - ### setOpenPriority0

    public void setOpenPriority0(int openPriority0)
    Sets 'openPriority0'.
    Parameters:
      `openPriority0` - Value of 'openPriority0'.

  - ### getOpenPriority1

    public int getOpenPriority1()
    Returns 'openPriority1'.
    Returns:
      Value of 'openPriority1'.

  - ### setOpenPriority1

    public void setOpenPriority1(int openPriority1)
    Sets 'openPriority1'.
    Parameters:
      `openPriority1` - Value of 'openPriority1'.

  - ### getOpenPriority2

    public int getOpenPriority2()
    Returns 'openPriority2'.
    Returns:
      Value of 'openPriority2'.

  - ### setOpenPriority2

    public void setOpenPriority2(int openPriority2)
    Sets 'openPriority2'.
    Parameters:
      `openPriority2` - Value of 'openPriority2'.

  - ### getOpenPriority3

    public int getOpenPriority3()
    Returns 'openPriority3'.
    Returns:
      Value of 'openPriority3'.

  - ### setOpenPriority3

    public void setOpenPriority3(int openPriority3)
    Sets 'openPriority3'.
    Parameters:
      `openPriority3` - Value of 'openPriority3'.

  - ### getOpenPriority4

    public int getOpenPriority4()
    Returns 'openPriority4'.
    Returns:
      Value of 'openPriority4'.

  - ### setOpenPriority4

    public void setOpenPriority4(int openPriority4)
    Sets 'openPriority4'.
    Parameters:
      `openPriority4` - Value of 'openPriority4'.

  - ### getOpenPriority5

    public int getOpenPriority5()
    Returns 'openPriority5'.
    Returns:
      Value of 'openPriority5'.

  - ### setOpenPriority5

    public void setOpenPriority5(int openPriority5)
    Sets 'openPriority5'.
    Parameters:
      `openPriority5` - Value of 'openPriority5'.

  - ### getEstimatedPriority0

    public int getEstimatedPriority0()
    Returns 'estimatedPriority0'.
    Returns:
      Value of 'estimatedPriority0'.

  - ### setEstimatedPriority0

    public void setEstimatedPriority0(int estimatedPriority0)
    Sets 'estimatedPriority0'.
    Parameters:
      `estimatedPriority0` - Value of 'estimatedPriority0'.

  - ### getEstimatedPriority1

    public int getEstimatedPriority1()
    Returns 'estimatedPriority1'.
    Returns:
      Value of 'estimatedPriority1'.

  - ### setEstimatedPriority1

    public void setEstimatedPriority1(int estimatedPriority1)
    Sets 'estimatedPriority1'.
    Parameters:
      `estimatedPriority1` - Value of 'estimatedPriority1'.

  - ### getEstimatedPriority2

    public int getEstimatedPriority2()
    Returns 'estimatedPriority2'.
    Returns:
      Value of 'estimatedPriority2'.

  - ### setEstimatedPriority2

    public void setEstimatedPriority2(int estimatedPriority2)
    Sets 'estimatedPriority2'.
    Parameters:
      `estimatedPriority2` - Value of 'estimatedPriority2'.

  - ### getEstimatedPriority3

    public int getEstimatedPriority3()
    Returns 'estimatedPriority3'.
    Returns:
      Value of 'estimatedPriority3'.

  - ### setEstimatedPriority3

    public void setEstimatedPriority3(int estimatedPriority3)
    Sets 'estimatedPriority3'.
    Parameters:
      `estimatedPriority3` - Value of 'estimatedPriority3'.

  - ### getEstimatedPriority4

    public int getEstimatedPriority4()
    Returns 'estimatedPriority4'.
    Returns:
      Value of 'estimatedPriority4'.

  - ### setEstimatedPriority4

    public void setEstimatedPriority4(int estimatedPriority4)
    Sets 'estimatedPriority4'.
    Parameters:
      `estimatedPriority4` - Value of 'estimatedPriority4'.

  - ### getEstimatedPriority5

    public int getEstimatedPriority5()
    Returns 'estimatedPriority5'.
    Returns:
      Value of 'estimatedPriority5'.

  - ### setEstimatedPriority5

    public void setEstimatedPriority5(int estimatedPriority5)
    Sets 'estimatedPriority5'.
    Parameters:
      `estimatedPriority5` - Value of 'estimatedPriority5'.

  - ### getActualPriority0

    public int getActualPriority0()
    Returns 'actualPriority0'.
    Returns:
      Value of 'actualPriority0'.

  - ### setActualPriority0

    public void setActualPriority0(int actualPriority0)
    Sets 'actualPriority0'.
    Parameters:
      `actualPriority0` - Value of 'actualPriority0'.

  - ### getActualPriority1

    public int getActualPriority1()
    Returns 'actualPriority1'.
    Returns:
      Value of 'actualPriority1'.

  - ### setActualPriority1

    public void setActualPriority1(int actualPriority1)
    Sets 'actualPriority1'.
    Parameters:
      `actualPriority1` - Value of 'actualPriority1'.

  - ### getActualPriority2

    public int getActualPriority2()
    Returns 'actualPriority2'.
    Returns:
      Value of 'actualPriority2'.

  - ### setActualPriority2

    public void setActualPriority2(int actualPriority2)
    Sets 'actualPriority2'.
    Parameters:
      `actualPriority2` - Value of 'actualPriority2'.

  - ### getActualPriority3

    public int getActualPriority3()
    Returns 'actualPriority3'.
    Returns:
      Value of 'actualPriority3'.

  - ### setActualPriority3

    public void setActualPriority3(int actualPriority3)
    Sets 'actualPriority3'.
    Parameters:
      `actualPriority3` - Value of 'actualPriority3'.

  - ### getActualPriority4

    public int getActualPriority4()
    Returns 'actualPriority4'.
    Returns:
      Value of 'actualPriority4'.

  - ### setActualPriority4

    public void setActualPriority4(int actualPriority4)
    Sets 'actualPriority4'.
    Parameters:
      `actualPriority4` - Value of 'actualPriority4'.

  - ### getActualPriority5

    public int getActualPriority5()
    Returns 'actualPriority5'.
    Returns:
      Value of 'actualPriority5'.

  - ### setActualPriority5

    public void setActualPriority5(int actualPriority5)
    Sets 'actualPriority5'.
    Parameters:
      `actualPriority5` - Value of 'actualPriority5'.

  - ### getRemainingPriority0

    public int getRemainingPriority0()
    Returns 'remainingPriority0'.
    Returns:
      Value of 'remainingPriority0'.

  - ### setRemainingPriority0

    public void setRemainingPriority0(int remainingPriority0)
    Sets 'remainingPriority0'.
    Parameters:
      `remainingPriority0` - Value of 'remainingPriority0'.

  - ### getRemainingPriority1

    public int getRemainingPriority1()
    Returns 'remainingPriority1'.
    Returns:
      Value of 'remainingPriority1'.

  - ### setRemainingPriority1

    public void setRemainingPriority1(int remainingPriority1)
    Sets 'remainingPriority1'.
    Parameters:
      `remainingPriority1` - Value of 'remainingPriority1'.

  - ### getRemainingPriority2

    public int getRemainingPriority2()
    Returns 'remainingPriority2'.
    Returns:
      Value of 'remainingPriority2'.

  - ### setRemainingPriority2

    public void setRemainingPriority2(int remainingPriority2)
    Sets 'remainingPriority2'.
    Parameters:
      `remainingPriority2` - Value of 'remainingPriority2'.

  - ### getRemainingPriority3

    public int getRemainingPriority3()
    Returns 'remainingPriority3'.
    Returns:
      Value of 'remainingPriority3'.

  - ### setRemainingPriority3

    public void setRemainingPriority3(int remainingPriority3)
    Sets 'remainingPriority3'.
    Parameters:
      `remainingPriority3` - Value of 'remainingPriority3'.

  - ### getRemainingPriority4

    public int getRemainingPriority4()
    Returns 'remainingPriority4'.
    Returns:
      Value of 'remainingPriority4'.

  - ### setRemainingPriority4

    public void setRemainingPriority4(int remainingPriority4)
    Sets 'remainingPriority4'.
    Parameters:
      `remainingPriority4` - Value of 'remainingPriority4'.

  - ### getRemainingPriority5

    public int getRemainingPriority5()
    Returns 'remainingPriority5'.
    Returns:
      Value of 'remainingPriority5'.

  - ### setRemainingPriority5

    public void setRemainingPriority5(int remainingPriority5)
    Sets 'remainingPriority5'.
    Parameters:
      `remainingPriority5` - Value of 'remainingPriority5'.

  - ### getStoryPointsPriority0

    public int getStoryPointsPriority0()
    Returns 'storyPointsPriority0'.
    Returns:
      Value of 'storyPointsPriority0'.

  - ### setStoryPointsPriority0

    public void setStoryPointsPriority0(int storyPointsPriority0)
    Sets 'storyPointsPriority0'.
    Parameters:
      `storyPointsPriority0` - Value of 'storyPointsPriority0'.

  - ### getStoryPointsPriority1

    public int getStoryPointsPriority1()
    Returns 'storyPointsPriority1'.
    Returns:
      Value of 'storyPointsPriority1'.

  - ### setStoryPointsPriority1

    public void setStoryPointsPriority1(int storyPointsPriority1)
    Sets 'storyPointsPriority1'.
    Parameters:
      `storyPointsPriority1` - Value of 'storyPointsPriority1'.

  - ### getStoryPointsPriority2

    public int getStoryPointsPriority2()
    Returns 'storyPointsPriority2'.
    Returns:
      Value of 'storyPointsPriority2'.

  - ### setStoryPointsPriority2

    public void setStoryPointsPriority2(int storyPointsPriority2)
    Sets 'storyPointsPriority2'.
    Parameters:
      `storyPointsPriority2` - Value of 'storyPointsPriority2'.

  - ### getStoryPointsPriority3

    public int getStoryPointsPriority3()
    Returns 'storyPointsPriority3'.
    Returns:
      Value of 'storyPointsPriority3'.

  - ### setStoryPointsPriority3

    public void setStoryPointsPriority3(int storyPointsPriority3)
    Sets 'storyPointsPriority3'.
    Parameters:
      `storyPointsPriority3` - Value of 'storyPointsPriority3'.

  - ### getStoryPointsPriority4

    public int getStoryPointsPriority4()
    Returns 'storyPointsPriority4'.
    Returns:
      Value of 'storyPointsPriority4'.

  - ### setStoryPointsPriority4

    public void setStoryPointsPriority4(int storyPointsPriority4)
    Sets 'storyPointsPriority4'.
    Parameters:
      `storyPointsPriority4` - Value of 'storyPointsPriority4'.

  - ### getStoryPointsPriority5

    public int getStoryPointsPriority5()
    Returns 'storyPointsPriority5'.
    Returns:
      Value of 'storyPointsPriority5'.

  - ### setStoryPointsPriority5

    public void setStoryPointsPriority5(int storyPointsPriority5)
    Sets 'storyPointsPriority5'.
    Parameters:
      `storyPointsPriority5` - Value of 'storyPointsPriority5'.

  - ### getActualEffortSummary

    public int getActualEffortSummary()
    Returns 'actualEffortSummary'.
    Returns:
      Value of 'actualEffortSummary'.

  - ### setActualEffortSummary

    public void setActualEffortSummary(int actualEffortSummary)
    Sets 'actualEffortSummary'.
    Parameters:
      `actualEffortSummary` - Value of 'actualEffortSummary'.

  - ### getRemainingEffortSummary

    public int getRemainingEffortSummary()
    Returns 'remainingEffortSummary'.
    Returns:
      Value of 'remainingEffortSummary'.

  - ### setRemainingEffortSummary

    public void setRemainingEffortSummary(int remainingEffortSummary)
    Sets 'remainingEffortSummary'.
    Parameters:
      `remainingEffortSummary` - Value of 'remainingEffortSummary'.

  - ### getEstimatedEffortSummary

    public int getEstimatedEffortSummary()
    Returns 'estimatedEffortSummary'.
    Returns:
      Value of 'estimatedEffortSummary'.

  - ### setEstimatedEffortSummary

    public void setEstimatedEffortSummary(int estimatedEffortSummary)
    Sets 'estimatedEffortSummary'.
    Parameters:
      `estimatedEffortSummary` - Value of 'estimatedEffortSummary'.

  - ### getOpenPoints

    public int getOpenPoints()
    Returns 'openPoints'.
    Returns:
      Value of 'openPoints'.

  - ### setOpenPoints

    public void setOpenPoints(int openPoints)
    Sets 'openPoints'.
    Parameters:
      `openPoints` - Value of 'openPoints'.

  - ### getClosedPoints

    public int getClosedPoints()
    Returns 'closedPoints'.
    Returns:
      Value of 'closedPoints'.

  - ### setClosedPoints

    public void setClosedPoints(int closedPoints)
    Sets 'closedPoints'.
    Parameters:
      `closedPoints` - Value of 'closedPoints'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)